package com.bonus.mq.rocket.mqtt;

public class EMQXMqttProperties {
   private String broker;
   private String secret = "do@u.can";
   private int timeToWait = 5000;
   private String authcUrl = "/mqtt/auth/authc";
   private String authzUrl = "/mqtt/auth/authz";
   private String lockKey = "default";
   private String bridgeClientId = "mqtt_bridge_durable";
   private String parentTopic = "MQTT-MESSAGE";
   private int parentTopicQueueNum = 4;
   private int parentTopicMaxReconsumeTimes = 10;

   public String getBroker() {
      return this.broker;
   }

   public String getSecret() {
      return this.secret;
   }

   public int getTimeToWait() {
      return this.timeToWait;
   }

   public String getAuthcUrl() {
      return this.authcUrl;
   }

   public String getAuthzUrl() {
      return this.authzUrl;
   }

   public String getLockKey() {
      return this.lockKey;
   }

   public String getBridgeClientId() {
      return this.bridgeClientId;
   }

   public String getParentTopic() {
      return this.parentTopic;
   }

   public int getParentTopicQueueNum() {
      return this.parentTopicQueueNum;
   }

   public int getParentTopicMaxReconsumeTimes() {
      return this.parentTopicMaxReconsumeTimes;
   }

   public void setBroker(final String broker) {
      this.broker = broker;
   }

   public void setSecret(final String secret) {
      this.secret = secret;
   }

   public void setTimeToWait(final int timeToWait) {
      this.timeToWait = timeToWait;
   }

   public void setAuthcUrl(final String authcUrl) {
      this.authcUrl = authcUrl;
   }

   public void setAuthzUrl(final String authzUrl) {
      this.authzUrl = authzUrl;
   }

   public void setLockKey(final String lockKey) {
      this.lockKey = lockKey;
   }

   public void setBridgeClientId(final String bridgeClientId) {
      this.bridgeClientId = bridgeClientId;
   }

   public void setParentTopic(final String parentTopic) {
      this.parentTopic = parentTopic;
   }

   public void setParentTopicQueueNum(final int parentTopicQueueNum) {
      this.parentTopicQueueNum = parentTopicQueueNum;
   }

   public void setParentTopicMaxReconsumeTimes(final int parentTopicMaxReconsumeTimes) {
      this.parentTopicMaxReconsumeTimes = parentTopicMaxReconsumeTimes;
   }
}
